pqxx::broken_connection Struct Reference
Exception classes

Exception class for lost or failed backend connection. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::broken_connection:
[legend]

## Public Member Functions

| broken_connection ()
| broken_connection (std::string const &)
Public Member Functions inherited from pqxx::failure
| failure (std::string const &)

## Detailed Description

Exception class for lost or failed backend connection.

Warning
  When this happens on Unix-like systems, you may also get a SIGPIPE signal. That signal aborts the program by default, so if you wish to be able to continue after a connection breaks, be sure to disarm this signal.

If you're working on a Unix-like system, see the manual page for `signal` (2) on how to deal with SIGPIPE. The easiest way to make this signal harmless is to make your program ignore it:

#include <csignal>
int main()
{
std::signal(SIGPIPE, SIG_IGN);
// ...
}

## Constructor & Destructor Documentation

## broken_connection() [1/2]

pqxx::broken_connection::broken_connection | ( |  | ) |

## broken_connection() [2/2]

pqxx::broken_connection::broken_connection | ( | std::string const & | whatarg | ) |

explicit

The documentation for this struct was generated from the following files:

- except.hxx
- except.cxx